﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AppointmentTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ScheduleAppointmentCollection AppCollection = new ScheduleAppointmentCollection();
        public MainWindow()
        {
            InitializeComponent();
            for (int i = 0; i < 10; i++)
            {
                ScheduleAppointment app = new ScheduleAppointment();
                app.Subject = "Appointment" + (i + 1).ToString();
                app.StartTime = new DateTime(2016, 5, 1 + i).AddHours(23);
                app.EndTime = new DateTime(2016, 5, 1 + i).AddHours(25);
                AppCollection.Add(app);
            }
            schedule.Appointments = AppCollection;
        }
    }
}
